/*reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  min-height: 100vh;
  font-family: "Roboto", sans-serif;
  background-color: #eeeff1;
}

h1, h2 {
  font-family: 'Poppins', sans-serif;
}

/* NAVBAR */

header {
  background-color: red;
  position: sticky;
  top:0;
  z-index: 30;
  
}

nav{
  width: 100%;
  background-color: blue;
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.3);
}

nav .menu {
  width: 100%;
  display: flex;
  list-style-type: none;
  justify-content: flex-end;
}

nav li{
  height: 50px;
}

nav a {
  height: 100%;
  padding: 0 30px;
  text-decoration: none;
  display:flex;
  align-items: center;
  color: white;
  transition: background-color 0.4s ease-in-out;
}

nav a:hover {
background-color: #eeeff1;
color: black;
}

nav li:first-child {
  margin-right: auto;
}

.sidebar {
  position: fixed;
  top: 0;
  right: 0;
  height: 100vh;
  width: 250px;
  z-index: 30;
  background-color: rgb(0, 0, 255, 0.3);
  backdrop-filter: blur(10px);
  box-shadow: -10px 0 10px rgba(0, 0, 0, 0.1);
  display: none;
  flex-direction: column;
  justify-content: flex-start;

}

.sidebar li {
  width: 100%;
  list-style-type: none;
  
}

.sidebar a {
  width: 100%;
}

.menu-button {
  display: none;
}

/* HERO */
.hero-section {
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 20px;
  padding: 70px 20px;
  margin-bottom: 50px;
  
}

.hero-section h1{
  color: rgb(0, 0, 255, 0.8);
}


.hero-section .photo img {
  width: 330px;
  border-radius: 50%;
  transition: scale 0.4s ease-in-out;
  margin-top: 50px;
}

.hero-section .photo img:hover{
  scale: 1.02;
  filter:grayscale(0.2);
}

.btn {
  display: inline-block;
  margin-top: 15px;
  padding: 15px 50px;
  background: rgb(0, 128, 0);
  color: white;
  text-decoration: none;
  border-radius: 10px;
}

/* ABOUT */
 .about-section{
  display: flex;
  flex-direction: column;
  align-items: center;
}
.about-section .about-container img{
  width: 320px;
  height: 300px;
  border-radius: 3%;

 }

.about-container {
  display: grid;
  grid-template-columns: repeat(2,1fr);
  grid-template-rows: auto;
  gap: 10px;
 justify-items: center;

}

.about-section h2{
  padding: 70px;
}

.about-container p{
  padding: 5px 50px;
  text-align: justify;
  letter-spacing: 1px;
}

/* SKILLS */
.skills-section {
  margin-bottom: 140px;
  text-align: center;
   padding: 40px;

}
.skills-section h2{
  padding: 50px
}

.skills-grid {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, auto);
  gap: 20px;
  margin: 0 auto;
  justify-items:center;
}

.skills-grid .card {
  width: 60%;
  height: 100px;
  padding: 25px;
  background-color: purple;
  border: 1px solid #ccc;
  border-radius: 12px;
  transition: transform 0.7s ease-in-out;
}

.skills-grid .card:hover{
  transform: translateX(10px);
  background-color: green;
}

.skills-grid a{
  color: white;
  display: flex;
  justify-content: center;
  font-size: 15px;
  align-items: center;
  gap:5px;
  text-decoration: none;
 
}
.skills-grid i{
  font-size: 40px;
}
.skills-grid .card:nth-child(1) i {
  color: yellow;
}
.skills-grid .card:nth-child(2) i {
  color: lightblue;
}


/* PROJECTS */
.projects-section{
  width: 90%;
  height: 100%;
  margin: 0 auto;
  margin-bottom: 50px;
}

.projects-section h2{
  text-align: center;
  padding: 70px;
}

 .projects-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, auto);
  gap: 40px;
  padding:  0 50px;
}
  img {
    width:100%;
}

.project-card{
  text-align: center;
  width: 100%;
  transition: scale 0.5s ease;
}

.project-card:hover{
 scale: 1.02;
}

 
/* CONTACT */
.contact-section{
  padding: 50px;
  margin-top: 50px;
  margin-bottom: 50px;
}
.contact-container form{
  background-color: rgb(0, 0, 255,0.5);
  padding: 1rem 2rem;
  border-radius: 1rem;
}

.contact-section h2{
  padding: 50px;
  text-align: center;
}
.contact-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: auto;
  gap: 20px;
}
.contact-container textarea{
  height: 130px;

}

form input, form textarea {
  width: 100%;
  padding: 10px;
  margin: 10px 0;
}

label {
  color: white;
}
button {
  display: flex;
  justify-content: center;
  padding: 15px 30px;
  background: red;
  color: white;
  border: none;
  border-radius: 30px;
  margin: 0 auto;
}

.socials {
  margin-top: 25px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 30px;
}
.socials a{
  text-decoration: none;
  font-size: 1.5rem;
}

.socials i{
  font-size: 1.5rem;
}

/* FOOTER */
footer {
  text-align: center;
  padding: 20px;
  background: gray;
  color: white;
}



@media(max-width: 320px) {
  .sidebar{
    width: 100%;
  }

}

@media(max-width: 767px) {
  .hideOnMobile{
display: none;
  }
  .menu-button{
    display: block;
  }
  .hero-section {
    flex-direction: column-reverse;
  }
  
   .about-container{
    grid-template-columns: 1fr;
    grid-template-rows: auto;
   }
  
    .skills-grid{
      grid-template-columns: 1fr;
     grid-template-rows: auto;
    }
    .projects-grid {
  grid-template-columns:  1fr;
  grid-template-rows: auto;

}
.contact-container {
  grid-template-columns: 1fr;
  grid-template-rows: auto;
}

}










































































































































/* RESPONSIVE */
/*@media(max-width: 768px) {
  .hero {
    flex-direction: column;
  }

  .about-container,
  .contact-container {
    grid-template-columns: 1fr;
  }

  .skills-grid {
    grid-template-columns: 1fr 1fr;
  }

  .projects-grid {
    grid-template-columns: 1fr;
  }
}